
Name: qdbusbridge
Version: SVN795
Release: alt1

License: GPLv2 / GPLv3 / QPL
Group: Accessibility
Summary: The bridge to translate accessibility events from QT applications into dbus

Requires: qt4-common
Url: http://labs.trolltech.com/page/Projects/Accessibility/QDBusBridge
Packager: Michael Pozhidaev <msp@altlinux.ru>

Source: %name-%version.tar.gz
Source1: qt_accessibility.sh

Patch0: %name-%version-alt-destdir.patch

# Automatically added by buildreq on Sun Sep 21 2008
BuildRequires: gcc-c++ libqt4-devel

%description
The bridge to translate accessibility events from QT applications into dbus.

%prep
%setup -q
%patch0 -p1

%build

%_qt4dir/bin/qmake
#FIXME:-fpic;
make CXXFLAGS='%optflags -fpic' DESTDIR='%buildroot%_qt4dir/plugins/accessiblebridge/'

%install

install -d -m755 %buildroot%_qt4dir/plugins/accessiblebridge/
install -pD -m644 libqdbusbridge.so %buildroot%_qt4dir/plugins/accessiblebridge/libqdbusbridge.so
install -pD -m 755 %SOURCE1 %buildroot%_sysconfdir/profile.d/qt_accessibility.sh

%files
%_qt4dir/plugins/*
%_sysconfdir/profile.d/*

%changelog
* Sun Sep 21 2008 Michael Pozhidaev <msp@altlinux.ru> SVN795-alt1
- New version

* Mon Jul 14 2008 Michael Pozhidaev <msp@altlinux.ru> SVN20080710-alt1
- Initial RPM


